<?
if (!isset($user) && !isset($_GET['id']))
{
header("Location: /aut.php");
exit;
}


if(isset($user))$id=$user['id'];

if(isset($_GET['id']))$id=intval($_GET['id']);

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$id' LIMIT 1"),0)==0)
{
header("Location: /index.php?".SID);
exit;
}
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$id' LIMIT 1"));

if($user['id']==$ank['id'])
{
header("Location: /index.php?".SID);
exit;
}
if (!isset($user))
{
include_once '../sys/inc/thead.php';
$set['title']='Наградить'; // заголовок страницы
title();
echo'<font color="green">Да и не нужно тебе это ! <img src="/style/smiles/gy.gif" alt="" class="icon"/></font> ';
}
include_once '../sys/inc/thead.php';
$set['title']='Наградить'; // заголовок страницы
title();

echo "<div class='rekl_main'>\n";
if(isset($_GET['send']) && intval($_GET['send'])!=NULL)
{
$rank=mysql_fetch_array(mysql_query("SELECT * FROM `rank_list` WHERE `id` = '".intval($_GET['send'])."' LIMIT 1"));
$balls=$rank['cena'];
$ballss=$rank['cena_add'];
if(isset($_GET['ok']) && isset($_POST['ok']))
{
$msg=$_POST['msg'];
if(strlen2($msg)<1)$err[]='Слишком короткое сообщение';
if($user['balls']<$balls && $user['group_access']<=1)$err[]='Вам не хватает баллов';
$msg = my_esc($msg);
if(!isset($err))
{
if($user['group_access']<=1 && $user['status_vip']==1)$nt=3600*24*7;
if($user['group_access']>=2 && $user['group_access']<=7)$nt=3600*24*7;
if($user['group_access']>=7 && $user['group_access']<=9)$nt=3600*24*7*2;
if($user['group_access']>=15)$nt=3600*24*7*4;
$time_to=$time+$nt;
if($user['group_access']<=1)
{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$balls)."' WHERE `id` = '$user[id]' LIMIT 1");
}
mysql_query("UPDATE `user` SET `balls` = '".($ank['balls']+$ballss)."' WHERE `id` = '$ank[id]' LIMIT 1");
mysql_query("INSERT INTO `fin_oper` (`user`, `oper`, `time`, `cena`) values('$user[id]', 'Отправлен подарок $balls KM для $ank[nick]', '$time', '$balls')");
mysql_query("INSERT INTO `rank` (`id_user`, `ot_id`, `msg`, `time`, `id_rank`, `time_to`) values('$ank[id]', '$user[id]', '$msg', '$time', '$rank[id]', '$time_to')");
$msgrat="[url=/info.php?id=$user[id]]$user[nick][/url] [url=/rank/?id=$ank[id]]наградил Вас[/url] за Вашу активность на сайте";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$msgrat', '$time')");
header("Location:/rank/?id=$ank[id]");
}
}
echo "<table><tr>";
echo "<td style='border-top: 1px #CCC solid;background-color: #edeff4;padding: 1px;margin: 1px;width: 15%' rowspan='1'>";
echo "<img src='/rank/img_rank/$rank[id].png' alt='' class='icon'/>";
echo "</td>";
echo "<td style='border-top: 1px #CCC solid;background-color: #edeff4;padding: 1px;margin: 1px;width: 15%' rowspan='1'>";
echo "<form method='post' action='?act=medal&id=$ank[id]&send=$rank[id]&ok'>";
echo "Награждаем:<b> $ank[nick]</b><br/>\n";
echo "Цена:<b> $rank[cena]</b><br/>\n";
echo "Ваше сообщение:<br/>";
echo "<input type='text' name='msg' value=''/><br />";
if($user['group_access']>1)echo "<font color='blue'>Для Вас даный сервис совершенно безплатен!</font><br/>";
echo "<input type='submit' value='Наградить!' name='ok' /></form>";
echo "</td></tr></table>";
echo "<div class='foot'><img src='img/back.png' /> <a href='?act=medal&id=$ank[id]'>Выбрать другую награду</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}
echo "<table>";
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `rank_list`"),0);
if ($k_post==0)
{
echo "Список нарад пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `rank_list` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
echo "<tr>";
if(isset($num) && $num==1)
{
echo "<td style='border-top: 1px #CCC solid;background-color: #edeff4;padding: 1px;margin: 1px;width: 15%' rowspan='1'>";
}
else
{
echo "<td style='border-top: 1px #CCC solid;background-color: #fff;padding: 1px;margin: 1px;width: 15%' rowspan='1'>";
}
echo "<img src='/rank/img_rank/$post[id].png' alt='' class='icon'/>";
echo "</td>";
if(isset($num) && $num==1)
{
echo "<td style='rekl_main'>";
$num=0;
}
else
{
echo "<td style='post'>";
$num=1;
}
echo  "<font color='green'><b>".htmlspecialchars($post['msg'])."</b></font><br/>Цена: $post[cena]<br/>Кол-во подарочных баллов: $post[cena_add]<br/><a href='?act=medal&id=$ank[id]&send=$post[id]'>&raquo; <font color='red'>Выбрать</font></a>";
echo "</td></tr>";
}
if ($k_page>1)str("?act=medal&id=$ank[id]&",$k_page,$page); // Вывод страниц
echo "</table>";
echo "</div><div class='foot'><img src='img/back.png' /> <a href='/rank/?id=$ank[id]'>Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
?>